## dde-calendar 5.9.14

=== schedule-plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    set(VERSION 1.2.2)
endif ()

#common resource names
set(APP_RES_DIR "assets")
set(APP_BIN_NAME "uosschedulex-plugin")
set(APP_QRC "${APP_RES_DIR}/resources.qrc")

project(${APP_BIN_NAME})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif ()
add_definitions("-DSCHEDULEPLUGIN_LIBRARY")
add_definitions("-DQT_DEPRECATED_WARNINGS")
#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")

  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
endif()

#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

macro(SUBDIRLIST result curdir)
    file(GLOB children RELATIVE ${curdir} ${curdir}/*)
    set(dirlist "")
    foreach(child ${children})
        if(IS_DIRECTORY ${curdir}/${child})
            LIST(APPEND dirlist ${child})
        endif()
    endforeach()
    set(${result} ${dirlist})
endmacro()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/src)

#Include all app own subdirectorys
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
endforeach()

file(GLOB_RECURSE Schedule_Plugin_SRC ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)

find_package(PkgConfig REQUIRED)
find_package(DFrameworkdbus REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5DBus REQUIRED)


include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})

# Tell CMake to create the lib
add_library(${PROJECT_NAME} SHARED ${Schedule_Plugin_SRC} ${APP_QRC} src/interface/service.h)

target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR} ../calendar-common/src)

target_link_libraries(${PROJECT_NAME}
    ${Qt5Svg_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}
    commondata
)

# Install files
install(TARGETS ${PROJECT_NAME} DESTINATION /usr/lib/deepin-aiassistant/serivce-plugins)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(dde-calendar-test)

set(ASAN_CMAKE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

ADD_SUBDIRECTORY(dde-calendar-client-test)

ADD_SUBDIRECTORY(dde-calendar-service-test)

include_directories(third-party_stub)

add_custom_target(test)
add_custom_command(TARGET test
    COMMAND echo " =================== CREAT LCOV REPROT BEGIN ==================== "
    COMMAND ${CMAKE_BINARY_DIR}/tests/dde-calendar-client-test/dde-calendar-test
    COMMAND ${CMAKE_BINARY_DIR}/tests/dde-calendar-service-test/dde-calendar-service-test
    COMMAND echo " =================== TEST END ==================== "
    )

=== tests/dde-calendar-client-test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
#common resource names
project(dde-calendar-client-test)

ADD_COMPILE_OPTIONS(-fno-access-control)

set(APP_CLIENT_DIR "${CMAKE_SOURCE_DIR}/calendar-client")
set(APP_COMMON_DIR "${CMAKE_SOURCE_DIR}/calendar-common")
set(APP_3PARTY_DIR "${CMAKE_SOURCE_DIR}/3rdparty/kcalendarcore")
#set(APP_RES_DIR "${APP_CLIENT_DIR}/assets")
#set(APP_QRC "${APP_RES_DIR}/resources.qrc")
set(APP_BIN_NAME "dde-calendar-test")
set(PROJECT_NAME_TEST ${APP_BIN_NAME})

find_package(PkgConfig REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(DFrameworkdbus REQUIRED)
find_package(GTest REQUIRED)
find_package(Qt5Test REQUIRED)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE")
set(CMAKE_EXE_LINKER_FLAGS "-pie")

include_directories(${APP_CLIENT_DIR}/src)
SUBDIRLIST(all_src ${APP_CLIENT_DIR}/src)

include_directories(${APP_COMMON_DIR}/src)
SUBDIRLIST(all_src ${APP_COMMON_DIR}/src)

include_directories(${APP_3PARTY_DIR}/src)
SUBDIRLIST(all_src ${APP_3PARTY_DIR}/src)

#Include all app own subdirectorys
foreach(subdir ${all_src})
    include_directories(${APP_CLIENT_DIR}/src/${subdir})
    include_directories(${APP_COMMON_DIR}/src/${subdir})
    include_directories(${APP_COMMON_DIR}/src/${subdir})
endforeach()

file(GLOB_RECURSE Calendar_CLIENTSRC ${APP_CLIENT_DIR}/src/*.cpp)
file(GLOB_RECURSE Calendar_COMMONSRC ${APP_COMMON_DIR}/src/*.cpp)
file(GLOB_RECURSE Calendar_3PARTYSRC ${APP_3PARTY_DIR}/src/*.cpp)
include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
list(REMOVE_ITEM Calendar_CLIENTSRC ${APP_CLIENT_DIR}/src/main.cpp)
list(REMOVE_ITEM Calendar_COMMONSRC ${APP_COMMON_DIR}/src/main.cpp)
list(REMOVE_ITEM Calendar_3PARTYSRC ${APP_3PARTY_DIR}/src/main.cpp)

#test SRC
SUBDIRLIST(TEST_SRC ${CMAKE_CURRENT_SOURCE_DIR}/src)
foreach(subdir ${TEST_SRC})
    include_directories(${subdir})
endforeach()

file(GLOB_RECURSE Calendar_TEST_SRC ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp)
include_directories(../../calendar-basicstruct/)

list(APPEND CMAKE_MODULE_PATH "${ASAN_CMAKE_DIR}")
include(asan)

# Tell CMake to create the executable
add_executable(${APP_BIN_NAME} ${Calendar_TEST_SRC} ${Calendar_CLIENTSRC} ${Calendar_COMMONSRC} ${Calendar_3PARTYSRC} ${APP_QRC})

target_include_directories(${APP_BIN_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})

target_link_libraries(${APP_BIN_NAME}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGui_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
    Qt5::Test
    pthread
    basestruct
)

=== debian/changelog ===
dde-calendar (5.9.14-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 14:15:42 +0800

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DH_AUTO_ARGS = --parallel --buildsystem=cmake

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
	  -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

#Ignore the dpkg-shlibdeps: warning (it uses none of the library's symbols)
#Qt Mutidedia lib will ref to network libraray.
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--warnings=0

## dde-calendar 5.14.5

=== debian/changelog ===
dde-calendar (5.14.5) unstable; urgency=medium

  * fix: sidebar calendar widget(Issue: https://github.com/linuxdeepin/developer-center/issues/10343)
  * feat: Execute reload after changing systemd(Issue: https://github.com/linuxdeepin/developer-center/issues/10093)
  * fix: remind widget display position(Issue: https://github.com/linuxdeepin/developer-center/issues/10341)

 -- myml <wurongjie@deepin.org>  Wed, 14 Aug 2024 16:37:30 +0800

dde-calendar (5.14.4) unstable; urgency=medium

  * feat: Unable to set timer reminder in Linglong environment

 -- myml <wurongjie@deepin.org>  Thu, 08 Aug 2024 11:29:59 +0800

dde-calendar (5.14.3) unstable; urgency=medium

  * fix: dialog window display position error(Issue: https://github.com/linuxdeepin/developer-center/issues/10141)

 -- myml <wurongjie@deepin.org>  Mon, 05 Aug 2024 14:16:16 +0800

dde-calendar (5.14.2) unstable; urgency=medium

  * chore: dbus activation adapt to AM(Issue: https://github.com/linuxdeepin/developer-center/issues/9742)
  * fix: cloud sync being unavailable at startup

 -- myml <wurongjie@deepin.org>  Fri, 26 Jul 2024 13:14:34 +0800

dde-calendar (5.14.1) unstable; urgency=medium

  * fix: cloud sync dbus error

 -- myml <wurongjie@deepin.org>  Mon, 22 Jul 2024 10:41:23 +0800

dde-calendar (5.14.0) unstable; urgency=medium

  * fix: build error in uos system
  * fix: problem of not displaying the floating frame
  * chore(CI): add debian check workflow
    Thanks to kuchune
  * feat: Delayed start of service

 -- myml <wurongjie@deepin.org>  Fri, 19 Jul 2024 14:21:37 +0800

dde-calendar (5.13.1) unstable; urgency=medium

  * fix: install deb package error(Issue: https://github.com/linuxdeepin/developer-center/issues/7763)

 -- myml <wurongjie@deepin.org>  Tue, 09 Apr 2024 11:41:53 +0800

dde-calendar (5.13.0) unstable; urgency=medium

  * feat: add metainfo of dde
  * Reapply "feat: get general settings from Control Center"
  * Reapply "chore: update translations"
  * feat: add docs files
  * feat: follow system config
  * chore: update translations
  * chore: update reuse
  * chore: typo
  * feat: auto update holiday data
  * feat: get system setting from dbus
  * feat: enable cloud sync

 -- myml <wurongjie@deepin.org>  Thu, 07 Mar 2024 13:54:33 +0800

dde-calendar (5.12.1) unstable; urgency=medium

  * fix: Unable sync schedule based on cloud sync
  * feat: keep the json struct of getFestivalMonth

 -- myml <wurongjie@deepin.org> Fri, 12 Jan 2024 17:47:37 +0800

dde-calendar (5.12.0) unstable; urgency=medium

  * feat: add deepin-log config
  * feat: Supplement the holidays for the year 2024
  * feat: Optimize holiday query, change the return type to QJsonArray

 -- myml <wurongjie@deepin.org> Thu, 28 Dec 2023 10:23:56 +0800

dde-calendar (5.11.1) unstable; urgency=medium

  * fix: remove unused dframeworkdbus
    Thanks to Felix Yan
  * chore: correct typos in en_US docs
    Thanks to Felix Yan
  * feat: hide account login in community version(Issue: https://github.com/linuxdeepin/developer-center/issues/5912)

 -- myml <wurongjie@deepin.org>  Tue, 12 Dec 2023 13:25:42 +0800

dde-calendar (5.11.0) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * feat: support for import ics file(Issue: https://github.com/linuxdeepin/developer-center/issues/5018)
  * feat: support for export ics file(Issue: https://github.com/linuxdeepin/developer-center/issues/5018)
  * feat: simplify the import process

 -- myml <wurongjie@deepin.org>  Thu, 27 Jul 2023 14:17:10 +0800

dde-calendar (5.10.1) unstable; urgency=medium

  * fix: remove illegal gcc option
    Thanks to rewine
  * chore(CI): Update obs tag build workflow
  * feat: avoid use hardcode path
    Thanks to rewine
  * fix: use imcomplete class QDesktopWidget
  * feat: Remove caller checks for Huangli dbus interface

 -- myml <wurongjie@deepin.org>  Mon, 24 Jul 2023 14:30:45 +0800

dde-calendar (5.10.0) unstable; urgency=medium

  * chore: deepin system does not support calendar sync
  * chore: correct a typo in CMakeLists.txt

 -- myml <wurongjie@deepin.org>  Thu, 6 Apr 2023 11:43:00 +0800

## dde-calendar 5.14.7

=== calendar-common/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(commondata)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
    Sql
REQUIRED)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -z noexecstack -pie -fPIC -z lazy")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
aux_source_directory(src BASESTRUCT_SRCS)
aux_source_directory(src/huangliData BASESTRUCT_SRCS_HUANGLI)
link_libraries(${Qt5CORE_LIBRARIES} ${Qt5DBus_LIBRARIES})

add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS} ${BASESTRUCT_SRCS_HUANGLI})
target_include_directories(${PROJECT_NAME} PUBLIC ../3rdparty/kcalendarcore/src)

target_link_libraries(${PROJECT_NAME}
    Qt5::Core
    Qt5::DBus
    Qt5::Sql
    kcalendarcore
    )

=== tests/dde-calendar-service-test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(dde-calendar-service-test)

ADD_COMPILE_OPTIONS(-fno-access-control)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(APP_BIN_NAME "dde-calendar-service-test")
set(APP_SERVICE_DIR "${CMAKE_SOURCE_DIR}/calendar-service")
set(APP_SERVICE_RES_DIR "${APP_SERVICE_DIR}/assets")
set(APP_QRC "${APP_SERVICE_RES_DIR}/resources.qrc")

# Find the library
find_package(PkgConfig REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
    Sql
REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(GTest REQUIRED)

set(LINK_LIBS
    Qt5::Core
    Qt5::DBus
    Qt5::Sql
    ${DtkCore_LIBRARIES}
)

include_directories(${APP_SERVICE_DIR}/src)

SUBDIRLIST(all_src ${APP_SERVICE_DIR}/src)

#Include all app own subdirectories
foreach(subdir ${all_src})
    include_directories(${APP_SERVICE_DIR}/src/${subdir})
endforeach()

file(GLOB_RECURSE CALENDARSERVICE_SRCS ${APP_SERVICE_DIR}/src/*.cpp)
include_directories(../../calendar-basicstruct/)
list(REMOVE_ITEM CALENDARSERVICE_SRCS ${APP_SERVICE_DIR}/src/main.cpp)

#test src
SUBDIRLIST(TEST_SRC ${CMAKE_CURRENT_SOURCE_DIR}/src)
foreach(subdir ${TEST_SRC})
    include_directories(${subdir})
endforeach()

set(HL_DATABASE_DIR ${APP_SERVICE_RES_DIR}/data/huangli.db)
set(SD_DATABASE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/scheduler.db)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.in config.h @ONLY)

file(GLOB_RECURSE Calendar_Service_TEST_SRC ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp)

list(APPEND CMAKE_MODULE_PATH "${ASAN_CMAKE_DIR}")
include(asan)

add_executable(${APP_BIN_NAME} ${Calendar_Service_TEST_SRC} ${CALENDARSERVICE_SRCS} ${APP_QRC})

target_link_libraries(${APP_BIN_NAME} 
    ${LINK_LIBS}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
    pthread
    basestruct
)

=== debian/changelog ===
dde-calendar (5.14.7) UNRELEASED; urgency=medium

  [ transifex-integration[bot] ]
  * i18n: Translate dde-calendar_en_US.ts in ro
  * i18n: Translate dde-calendar-service_en_US.ts in ro
  * i18n: Translate dde-calendar_en_US.ts in sq
  * i18n: Translate dde-calendar-service_en_US.ts in sq
  * i18n: Translate dde-calendar-service_en_US.ts in zh_CN
  * i18n: Removing dde-calendar-service_en_US.ts in zh_CN

  [ myml ]
  * feat: cweekwidget uses locale to replace tr

 -- myml <wurongjie@deepin.org>  Sun, 29 Sep 2024 15:42:47 +0800

dde-calendar (5.14.6) unstable; urgency=medium

  * New version 5.14.6
  * Adapt linglong.

-- re2zero <yangwu@uniontech.com>  Fri, 13 Sep 2024 14:06:16 +0800

## dde-calendar 5.14.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(dde-calendar)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
   set(CMAKE_INSTALL_PREFIX /usr)
endif ()
include(GNUInstallDirs)

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")
# Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,--gc-sections")
endif()

#代码覆盖率开关
if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
endif()

macro(SUBDIRLIST result curdir)
    file(GLOB children RELATIVE ${curdir} ${curdir}/*)
    set(dirlist "")
    foreach(child ${children})
        if(IS_DIRECTORY ${curdir}/${child})
            LIST(APPEND dirlist ${child})
        endif()
    endforeach()
    set(${result} ${dirlist})
endmacro()

ADD_SUBDIRECTORY(3rdparty/kcalendarcore)
ADD_SUBDIRECTORY(calendar-common)
ADD_SUBDIRECTORY(calendar-client)
ADD_SUBDIRECTORY(calendar-service)
ADD_SUBDIRECTORY(schedule-plugin)
#ADD_SUBDIRECTORY(tests)

#前后端都有翻译所以将翻译放到更高层级
find_package(Qt5LinguistTools REQUIRED)
#lupdate start
#此处其实只有当没有自动翻译需要手动翻译.ts文件才有意义可以创建不同语言名称的ts文件，下同
set(TS_FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/translations/${PROJECT_NAME}_en_US.ts"
)
find_program(LUPDATE_EXECUTABLE lupdate)
foreach(_ts_file ${TS_FILES})
    execute_process(
        COMMAND ${LUPDATE_EXECUTABLE} -recursive ${CMAKE_CURRENT_SOURCE_DIR}/calendar-client -ts ${_ts_file})
endforeach()

set(TS_SERVICEFILES
     "${CMAKE_CURRENT_SOURCE_DIR}/translations/${PROJECT_NAME}-service_en_US.ts"
)
foreach(_ts_file ${TS_SERVICEFILES})
    execute_process(
        COMMAND ${LUPDATE_EXECUTABLE} -recursive ${CMAKE_CURRENT_SOURCE_DIR}/calendar-service -ts ${_ts_file})
endforeach()
#lupdate end

file (GLOB DTNG_TS_FILES translations/*.ts)

#lrelease start
#发布qm文件
find_program(LRELEASE_EXECUTABLE lrelease)
foreach(_ts_file ${DTNG_TS_FILES})
        execute_process(COMMAND ${LRELEASE_EXECUTABLE}   ${_ts_file})
endforeach()
#lrelease end

qt5_create_translation(DTNG_QM_FILES
    ${DTNG_TS_FILES}
    ${DTNG_QM_FILES}
)
  
file(GLOB APP_QM_FILES "translations/*.qm")
install(FILES ${APP_QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-calendar/translations)
# 安装日志搜集工具的配置
install(FILES "org.deepin.calendar.json" DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-log-viewer/deepin-log.conf.d/)

=== DDav/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(kdav)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
REQUIRED)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -z noexecstack -pie -fPIC -z lazy")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
aux_source_directory(src KDAV_SRCS)
link_libraries(${Qt5CORE_LIBRARIES} ${Qt5DBus_LIBRARIES})
add_library(${PROJECT_NAME} STATIC ${KDAV_SRCS})

=== calendar-client/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    message(WARNING "Not defined version, about dialog version set 5.10.0")
    set(VERSION 5.10.0)
endif ()

#common resource names
set(APP_RES_DIR "assets")
set(APP_BIN_NAME "dde-calendar")
set(APP_DESKTOP "${APP_RES_DIR}/dde-calendar.desktop")
set(APP_QRC "${APP_RES_DIR}/resources.qrc")
set(APP_SERVICE_IN "${APP_RES_DIR}/dbus/com.deepin.Calendar.service.in")

project(${APP_BIN_NAME})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")


if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
elseif (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-needed")
endif ()

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")

  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
endif()

#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -z noexecstack -pie -fPIC -z lazy")

configure_file(${APP_RES_DIR}/environments.h.in environments.h @ONLY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/src)

#Include all app own subdirectories
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
endforeach()

file(GLOB_RECURSE Calendar_SRC ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)

find_package(PkgConfig REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(Qt5Network REQUIRED)

set_source_files_properties(src/dbus/org.deepin.dde.ControlCenter.xml PROPERTIES CLASSNAME ControlCenterProxy)
qt5_add_dbus_interface(Calendar_SRC src/dbus/org.deepin.dde.ControlCenter.xml controlCenterProxy)

include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
# Tell CMake to create the executable
add_executable(${PROJECT_NAME} ${Calendar_SRC} ${APP_QRC})

target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR} ../calendar-common/src)
target_link_libraries(${PROJECT_NAME}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGui_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Network_LIBRARIES}
    commondata
)

#修改dbus服务文件
set (EXEC_DDE_CALENDAR "${CMAKE_INSTALL_FULL_BINDIR}/${APP_BIN_NAME}" CACHE STRING "Command to execute dde-calendar")

configure_file(${APP_SERVICE_IN} ${CMAKE_CURRENT_BINARY_DIR}/dbus/com.deepin.Calendar.service @ONLY)

# Install files
install(TARGETS dde-calendar DESTINATION ${CMAKE_INSTALL_BINDIR})

install(DIRECTORY ${APP_RES_DIR}/dde-calendar
        DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
install(FILES ${APP_DESKTOP} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dbus/com.deepin.Calendar.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services)
install(FILES assets/org.deepin.calendar.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

=== calendar-common/CMakeLists.txt ===
--- 
+++ 
@@ -19,9 +19,15 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
 aux_source_directory(src BASESTRUCT_SRCS)
 aux_source_directory(src/huangliData BASESTRUCT_SRCS_HUANGLI)
+aux_source_directory(src/lunarandfestival BASESTRUCT_SRCS_NONGLI)
+aux_source_directory(src/pinyin BASESTRUCT_SRCS_PINYIN)
 link_libraries(${Qt5CORE_LIBRARIES} ${Qt5DBus_LIBRARIES})
 
-add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS} ${BASESTRUCT_SRCS_HUANGLI})
+add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS}
+    ${BASESTRUCT_SRCS_HUANGLI}
+    ${BASESTRUCT_SRCS_NONGLI}
+    ${BASESTRUCT_SRCS_PINYIN}
+)
 target_include_directories(${PROJECT_NAME} PUBLIC ../3rdparty/kcalendarcore/src)
 
 target_link_libraries(${PROJECT_NAME}

=== calendar-service/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(dde-calendar-service)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -z noexecstack -pie -fPIC -z lazy")

set(APP_RES_DIR "assets")
set( SERVER_SERVICE_IN "${APP_RES_DIR}/data/com.deepin.dataserver.Calendar.service.in")
set( APP_SERVICE_IN "${APP_RES_DIR}/data/dde-calendar.service.in")
set( SERVER_SYSTEMD_SERVICE "${APP_RES_DIR}/data/com.dde.calendarserver.calendar.service")
set(APP_SYSTEMD_TIMER "${APP_RES_DIR}/data/com.dde.calendarserver.calendar.timer")
set(AUTOSTART_DESKTOP "${APP_RES_DIR}/dde-calendar-service.desktop")
set(HUANGLIDB "${APP_RES_DIR}/data/huangli.db")
set(APP_QRC "${APP_RES_DIR}/resources.qrc")


# Find the library
find_package(PkgConfig REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
    Sql
REQUIRED)

set(LINK_LIBS
    Qt5::Core
    Qt5::DBus
    Qt5::Sql
    ${DtkCore_LIBRARIES}
    commondata
    -lpthread
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/src)

#Include all app own subdirectories
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
endforeach()
file(GLOB_RECURSE CALENDARSERVICE_SRCS ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
#添加资源文件
QT5_ADD_RESOURCES(CALENDARSERVICE_SRCS ${APP_QRC})


#后端程序自动退出宏控制
if (NOT (CMAKE_BUILD_TYPE MATCHES Debug))
  add_definitions(-DCALENDAR_SERVICE_AUTO_EXIT)
endif()

add_executable(${PROJECT_NAME} ${CALENDARSERVICE_SRCS})

target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR} ../calendar-common/src)

target_link_libraries(${PROJECT_NAME}
    ${LINK_LIBS}
    )

set (SERVICE_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/deepin-daemon" CACHE STRING "Install dir for dde-calendar-service")

target_compile_definitions(${PROJECT_NAME}
    PRIVATE
    CALENDAR_SERVICE_PATH="${SERVICE_INSTALL_DIR}"
)


#修改dbus服务文件
set (EXEC_DDE_CALENDAR_SERVICE "${SERVICE_INSTALL_DIR}/dde-calendar-service" CACHE STRING "Command to execute dde-calendar-service")

configure_file(${SERVER_SERVICE_IN} ${CMAKE_CURRENT_BINARY_DIR}/dbus/com.deepin.dataserver.Calendar.service @ONLY)
configure_file(${APP_SERVICE_IN} ${CMAKE_CURRENT_BINARY_DIR}/assets/dde-calendar.service @ONLY)

# Install files
install(TARGETS ${PROJECT_NAME} DESTINATION ${SERVICE_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dbus/com.deepin.dataserver.Calendar.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services/)
install(FILES ${AUTOSTART_DESKTOP} DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart/)
install(FILES ${HUANGLIDB} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-calendar/data/)
install(FILES ${SERVER_SYSTEMD_SERVICE} DESTINATION lib/systemd/user/)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/assets/dde-calendar.service DESTINATION lib/systemd/user/)
install(FILES ${APP_SYSTEMD_TIMER} DESTINATION lib/systemd/user/)

=== schedule-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 endif()
 
 #安全编译参数
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -z noexecstack -pie -fPIC -z lazy")
 
 macro(SUBDIRLIST result curdir)
     file(GLOB children RELATIVE ${curdir} ${curdir}/*)
@@ -55,7 +55,7 @@
 
 SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/src)
 
-#Include all app own subdirectorys
+#Include all app own subdirectories
 foreach(subdir ${all_src})
     include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
 endforeach()
@@ -63,7 +63,6 @@
 file(GLOB_RECURSE Schedule_Plugin_SRC ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)
 
 find_package(PkgConfig REQUIRED)
-find_package(DFrameworkdbus REQUIRED)
 find_package(DtkWidget REQUIRED)
 find_package(Qt5Svg REQUIRED)
 find_package(Qt5DBus REQUIRED)
@@ -80,9 +79,8 @@
     ${Qt5Svg_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
     ${DtkWidget_LIBRARIES}
-    ${DFrameworkdbus_LIBRARIES}
     commondata
 )
 
 # Install files
-install(TARGETS ${PROJECT_NAME} DESTINATION /usr/lib/deepin-aiassistant/serivce-plugins)
+install(TARGETS ${PROJECT_NAME} DESTINATION lib/deepin-aiassistant/serivce-plugins)

=== 3rdparty/kcalendarcore/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(kcalendarcore)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
REQUIRED)

#set(LibIcal_MIN_VERSION "3.0")
#find_package(ical ${LibIcal_MIN_VERSION})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
pkg_check_modules(3rd_lib REQUIRED
        libical
        )

#安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -z noexecstack -pie -fPIC -z lazy")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src ${3rd_lib_INCLUDE_DIRS})
aux_source_directory(src CALENDARCORE_SRCS)

add_library(${PROJECT_NAME} STATIC ${CALENDARCORE_SRCS})

target_link_libraries(${PROJECT_NAME}
    Qt5::Core
    Qt5::DBus
    Qt5::Gui
    ${3rd_lib_LIBRARIES}
    ${Libical_LIBRARIES}
    icalvcal
    icalss)

=== tests/dde-calendar-client-test/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,6 @@
 find_package(Qt5Svg REQUIRED)
 find_package(DtkWidget REQUIRED)
 find_package(DtkGui REQUIRED)
-find_package(DFrameworkdbus REQUIRED)
 find_package(GTest REQUIRED)
 find_package(Qt5Test REQUIRED)
 
@@ -40,7 +39,7 @@
 include_directories(${APP_3PARTY_DIR}/src)
 SUBDIRLIST(all_src ${APP_3PARTY_DIR}/src)
 
-#Include all app own subdirectorys
+#Include all app own subdirectories
 foreach(subdir ${all_src})
     include_directories(${APP_CLIENT_DIR}/src/${subdir})
     include_directories(${APP_COMMON_DIR}/src/${subdir})
@@ -79,7 +78,6 @@
     ${Qt5Widgets_LIBRARIES}
     ${Qt5Svg_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
-    ${DFrameworkdbus_LIBRARIES}
     ${GTEST_LIBRARIES}
     ${GTEST_MAIN_LIBRARIES}
     Qt5::Test

=== debian/changelog ===
dde-calendar (5.14.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 20:22:14 -0500

=== debian/control ===
Source: dde-calendar
Section: utils
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
 Clay Stan <claystan97@gmail.com>,
 Hu Feng <hufeng@uniontech.com>,
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.7),
 deepin-gettext-tools,
 libdframeworkdbus-dev (>= 6),
 libdtkgui-dev (>= 5.7.6),
 libdtkwidget-dev (>= 5.7.6),
 libgcrypt20-dev,
 libgtest-dev,
 libical-dev,
 libqt5svg5-dev,
 pkgconf,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/linuxdeepin/dde-calendar
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-calendar.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-calendar

Package: dde-calendar
Architecture: linux-any
Depends:
 dde-qt5integration,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dde-api,
Provides:
 deepin-calendar,
Description: Deepin Calendar
 Deepin Calendar is an easy calendar tool developed by Deepin Technology, main
 features current date, solar terms, lunar calendar and world holidays.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT := 5

%:
	dh $@
override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
	  -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## dde-calendar 6.5.8

=== calendar-common/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(commondata)

find_package(PkgConfig REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus Sql)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

# 安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -z noexecstack -pie -fPIC -z lazy")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
aux_source_directory(src BASESTRUCT_SRCS)
aux_source_directory(src/huangliData BASESTRUCT_SRCS_HUANGLI)
aux_source_directory(src/lunarandfestival BASESTRUCT_SRCS_NONGLI)
aux_source_directory(src/pinyin BASESTRUCT_SRCS_PINYIN)

add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS}
    ${BASESTRUCT_SRCS_HUANGLI}
    ${BASESTRUCT_SRCS_NONGLI}
    ${BASESTRUCT_SRCS_PINYIN}
)
target_include_directories(${PROJECT_NAME} PUBLIC ../3rdparty/kcalendarcore/src)

target_link_libraries(${PROJECT_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Sql
    kcalendarcore
)

=== 3rdparty/kcalendarcore/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(kcalendarcore)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui DBus)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
pkg_check_modules(3rd_lib REQUIRED libical)

# 安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -z noexecstack -pie -fPIC -z lazy")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src ${3rd_lib_INCLUDE_DIRS})
aux_source_directory(src CALENDARCORE_SRCS)

add_library(${PROJECT_NAME} STATIC ${CALENDARCORE_SRCS})

target_link_libraries(${PROJECT_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Gui
    ${3rd_lib_LIBRARIES}
    ${Libical_LIBRARIES}
    icalvcal
    icalss)

=== debian/changelog ===
dde-calendar (6.5.8) unstable; urgency=medium

  * fix cloud synchronization (bug 311911).

 -- muyuankai <muyuankai@uniontech.com>  Tue, 13 May 2025 16:26:10 +0800

dde-calendar (6.5.7) unstable; urgency=medium

  * crash fix (bug 303095 313675).

 -- muyuankai <muyuankai@uniontech.com>  Thu, 08 May 2025 15:12:35 +0800

dde-calendar (6.5.6) unstable; urgency=medium

  * feat: enhance holiday data handling and add 2024/2025 holiday JSON files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 22 Apr 2025 15:02:42 +0800

dde-calendar (6.5.5) unstable; urgency=medium

  * fix: crash caused by repeatedly deleting the
         same schedule data (Bug: 303095)

 -- renbin <renbin@uniontech.com>  Wed, 16 Apr 2025 15:35:34 +0800

dde-calendar (6.5.4) unstable; urgency=medium

  * fix: Fix some UI issues (#228)(Bug: 304001)

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 19:50:56 +0800

dde-calendar (6.5.3) unstable; urgency=medium

  * chore: New version 6.5.3.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 28 Feb 2025 10:46:43 +0800

dde-calendar (6.5.2) unstable; urgency=medium

  * New version 6.5.2
  * Update linglong base to 25.0.0.

 -- re2zero <yangwu@uniontech.com>  Tue, 11 Feb 2025 16:32:35 +0800

dde-calendar (6.5.1) unstable; urgency=medium

  * Update version to 6.5.1

 -- wangrong <wangrong@uniontech.com>  Wed, 22 Jan 2025 13:43:31 +0800

dde-calendar (6.5.0) unstable; urgency=medium

  * feat: Qt5 to Qt6 Migration
  * fix: missing translation files
  * chore: add ControlCenter DBus adaptor (#213)
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp

 -- renbin <renbin@uniontech.com>  Mon, 20 Jan 2025 10:50:33 +0800

dde-calendar (5.14.13) unstable; urgency=medium

  * Update version to 5.14.13

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 16:24:07 +0800

dde-calendar (5.14.12) unstable; urgency=medium

  * Update version to 5.14.12

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 15:03:16 +0800

dde-calendar (5.14.11) unstable; urgency=medium

  * Update version to 5.14.11

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:21:11 +0800

dde-calendar (5.14.10) unstable; urgency=medium

  * chore: Update linglong build script.

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 30 Nov 2024 14:08:37 +0800

dde-calendar (5.14.9) UNRELEASED; urgency=medium

  [ transifex-integration[bot] ]
  * i18n: Translate dde-calendar_en_US.ts in ro
  * i18n: Translate dde-calendar-service_en_US.ts in ro
  * i18n: Translate dde-calendar_en_US.ts in sq
  * i18n: Translate dde-calendar-service_en_US.ts in sq
  * i18n: Translate dde-calendar-service_en_US.ts in zh_CN
  * i18n: Removing dde-calendar-service_en_US.ts in zh_CN

  [ myml ]
  * feat: cweekwidget uses locale to replace tr

 -- myml <wurongjie@deepin.org>  Sun, 29 Sep 2024 15:42:47 +0800

dde-calendar (5.14.8) unstable; urgency=medium

  * chore: Update linglong build script.

 -- wangrong <wangrong@uniontech.com>  Sat, 19 Oct 2024 15:18:45 +0800

dde-calendar (5.14.7) unstable; urgency=medium

  * chore: linglong package slimming.

 -- wangrong <wangrong@uniontech.com>  Fri, 18 Oct 2024 10:33:09 +0800

## dde-calendar 6.5.12

=== calendar-client/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

if(NOT DEFINED VERSION)
    if(SUPPORT_QT6)
        set(VERSION 6.0.0)
    else()
        set(VERSION 5.10.0)
    endif()

    message(WARNING "Not defined version, about dialog version set ${VERSION}")
endif()

# common resource names
set(APP_RES_DIR "assets")
set(APP_BIN_NAME "dde-calendar")
set(APP_DESKTOP "${APP_RES_DIR}/dde-calendar.desktop")
set(APP_QRC "${APP_RES_DIR}/resources.qrc")
set(APP_SERVICE_IN "${APP_RES_DIR}/dbus/com.deepin.Calendar.service.in")

project(${APP_BIN_NAME})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")

if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
elseif(${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-needed")
endif()

# compile flags
if(CMAKE_BUILD_TYPE MATCHES Debug)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")

    # Enable Qt builtin debug mode
    add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
    # -Wl, -O2 Enable linker optimizations
    # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
    # -ffunction-sections
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
endif()

# 安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -z noexecstack -pie -fPIC -z lazy")

configure_file(${APP_RES_DIR}/environments.h.in environments.h @ONLY)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/src)

# Include all app own subdirectories
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
endforeach()

file(GLOB_RECURSE Calendar_SRC ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)

find_package(PkgConfig REQUIRED)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED Core Gui Widget)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Gui Widgets Svg DBus Network)

set_source_files_properties(src/dbus/org.deepin.dde.ControlCenter.xml PROPERTIES CLASSNAME ControlCenterProxy)

if(SUPPORT_QT6)
    qt_add_dbus_interface(Calendar_SRC src/dbus/org.deepin.dde.ControlCenter.xml controlCenterProxy)
    include_directories(${Qt6Gui_PRIVATE_INCLUDE_DIRS})
else()
    qt5_add_dbus_interface(Calendar_SRC src/dbus/org.deepin.dde.ControlCenter.xml controlCenterProxy)
    include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
endif()

# Tell CMake to create the executable
add_executable(${PROJECT_NAME} ${Calendar_SRC} ${APP_QRC})

target_include_directories(${PROJECT_NAME} PUBLIC ${OBJECT_BINARY_DIR} ../calendar-common/src)
target_link_libraries(${PROJECT_NAME}
    commondata
    Dtk${DTK_VERSION_MAJOR}::Core
    Dtk${DTK_VERSION_MAJOR}::Gui
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::Svg
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Network
)

# 修改dbus服务文件
set(EXEC_DDE_CALENDAR "${CMAKE_INSTALL_FULL_BINDIR}/${APP_BIN_NAME}" CACHE STRING "Command to execute dde-calendar")

configure_file(${APP_SERVICE_IN} ${CMAKE_CURRENT_BINARY_DIR}/dbus/com.deepin.Calendar.service @ONLY)

# Install files
install(TARGETS dde-calendar DESTINATION ${CMAKE_INSTALL_BINDIR})

install(DIRECTORY ${APP_RES_DIR}/dde-calendar
    DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
install(FILES ${APP_DESKTOP} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dbus/com.deepin.Calendar.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services)
install(FILES assets/org.deepin.calendar.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

=== schedule-plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

if(NOT DEFINED VERSION)
    set(VERSION 1.2.2)
endif()

# common resource names
set(APP_RES_DIR "assets")
set(APP_BIN_NAME "uosschedulex-plugin")
set(APP_QRC "${APP_RES_DIR}/resources.qrc")

project(${APP_BIN_NAME})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif()

add_definitions("-DSCHEDULEPLUGIN_LIBRARY")
add_definitions("-DQT_DEPRECATED_WARNINGS")

# compile flags
if(CMAKE_BUILD_TYPE MATCHES Debug)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")

    # Enable Qt builtin debug mode
    add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
    # -Wl, -O2 Enable linker optimizations
    # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
    # -ffunction-sections
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
endif()

# 安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -z noexecstack -pie -fPIC -z lazy")

macro(SUBDIRLIST result curdir)
    file(GLOB children RELATIVE ${curdir} ${curdir}/*)
    set(dirlist "")

    foreach(child ${children})
        if(IS_DIRECTORY ${curdir}/${child})
            LIST(APPEND dirlist ${child})
        endif()
    endforeach()

    set(${result} ${dirlist})
endmacro()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/src)

# Include all app own subdirectories
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
endforeach()

file(GLOB_RECURSE Schedule_Plugin_SRC ${CMAKE_CURRENT_LIST_DIR}/src/*.cpp)

find_package(PkgConfig REQUIRED)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Svg DBus)

if(SUPPORT_QT6)
    include_directories(${Qt6Gui_PRIVATE_INCLUDE_DIRS})
else()
    include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
endif()

# Tell CMake to create the lib
add_library(${PROJECT_NAME} SHARED ${Schedule_Plugin_SRC} ${APP_QRC} src/interface/service.h)

target_include_directories(${PROJECT_NAME} PUBLIC ${OBJECT_BINARY_DIR} ../calendar-common/src)

target_link_libraries(${PROJECT_NAME}
    Qt${QT_VERSION_MAJOR}::Svg
    Qt${QT_VERSION_MAJOR}::DBus
    Dtk${DTK_VERSION_MAJOR}::Widget
    commondata
)

# Install files
install(TARGETS ${PROJECT_NAME} DESTINATION lib/deepin-aiassistant/serivce-plugins)

=== debian/changelog ===
dde-calendar (6.5.12) unstable; urgency=medium

  * chore: New version 6.5.12.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 27 Jun 2025 17:51:04 +0800

dde-calendar (6.5.11) unstable; urgency=medium

  * chore: New version 6.5.11.

 -- re2zero <yangwu@uniontech.com>  Tue, 24 Jun 2025 17:23:45 +0800

dde-calendar (6.5.10) unstable; urgency=medium

  * chore: New version 6.5.10.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:07:47 +0800

dde-calendar (6.5.9) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 13:52:14 +0800

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT := 6

%:
	dh $@
override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release \
	-DSERVICE_INSTALL_DIR="/usr/lib/deepin-daemon" \
	-DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
	-DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) \
	-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## dde-calendar 6.5.16

=== debian/changelog ===
dde-calendar (6.5.16) unstable; urgency=medium

  * chore: More logs for common
  * Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 16 Jul 2025 09:28:22 +0800

dde-calendar (6.5.15) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 16:13:48 +0800

dde-calendar (6.5.14) unstable; urgency=medium

  * chore: Update deb sources for linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 11:19:32 +0800

dde-calendar (6.5.13) unstable; urgency=medium

  * update version 6.5.13. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Tue, 01 Jul 2025 21:28:30 +0800

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 %:
 	dh $@
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	-DCMAKE_BUILD_TYPE=Release \
